KCONFIG_COMPILER(1)

kconfig_compiler

NOM
kconfig_compiler - Compilateur de configuration KDE

SYNOPSIS

kconfig_compiler [Options Qt] [Options KDE] [options] file.kcfg file.kcfgc

DESCRIPTION

kconfig_compiler génère du code C++ depuis deux fichiers. Le premier fichier (.kcfg) contient des informations sur les options de configuration et le second fichier (.kcfgc) fournit les options de génération de code.

Le code source généré contient une classe basée sur KConfigSkeleton qui fournit une API pour accéder aux données de configuration des applications.

OPTIONS

Arguments :

file.kcfg
    Fichier XML kcfg d'entrée

file.kcfgc
    Fichier d'options de génération de code

Options :

-d, --directory <dir>
    Dossier dans lequel générer les fichiers [.]

Options Génériques :

--help
    Affiche l'aide à propos des options

--help-qt
    Affiche les options spécifiques à Qt

--help-kde
    Affiche les options spécifiques à KDE

--help-all
    Affiche toutes les options

--author
    Affiche des informations sur l'auteur

-v, --version
    Affiche des informations sur la version

--license
    Affiche des informations sur la licence

Options KDE :

--caption <caption>
    Utilise le libellé 'caption' comme nom dans la barre de titre.

--icon <icon>
    Utilise l'icône 'icon' comme icône de l'application.

--miniicon <icon>
    Utilise l'icône 'icon' comme icône de l'application.

--config <nom_de_fichier>
    Utilise un fichier de configuration alternatif

--dcopserver <serveur>
    Utilise le serveur DCOP spécifié dans 'serveur'

--nocrashhandler
    Désactive le module d'erreur permettant de récupérer le contenu de la mémoire.

--waitforwm
    Attend un gestionnaire de fenêtre compatible WM_NET

--style <style>
    Définit le style de l'application

--geometry <geometrie>
    Définit la géométrie du client dans l'élément graphique principal, consultez man X pour le format de l'argument

Options Qt :

--display <displayname>
    Utilise le serveur X 'displayname'.

--session <sessionId>
    Restore l'application pour le 'sessionId' donné.

--cmap
    Oblige l’application à installer une carte de couleur privée sur un affichage 8 bits.

--ncols <count>
    Limite le nombre de couleurs attribué au cube de couleur sur un affichage 8 bits, si l’application utilise la spécification de couleur QApplication::ManyColor.

--nograb
    Indique à Qt de ne jamais capturer la souris ou le clavier.

--sync
    Bascule en mode synchronisé pour le débogage.

--fn, --font <nomdepolice>
    Définit la police de l'application.

--bg, --background <couleur>
    Définit la couleur par défaut de l'arrière-plan et la palette de l'application (les nuances lumineuses et sombres sont calculées).

--fg, --foreground <couleur>
    Définit la couleur de premier plan par défaut

--btn, --button <couleur>
    Définit la couleur par défaut du bouton

--name <nom>
    Définit le nom de l'application

--title <titre>
    Définit le titre de l'application (son libellé).

--visual TrueColor
    Force l'application à utiliser un affichage TrueColorsur un écran 8 bits.

--inputstyle <inputstyle>
    Définit le style d'entrée XIM (X Input Method). Les valeurs possibles sont onthespot, overthespot, offthespot et root.

--im <serveur XIM>
    Définit le serveur XIM

--noxim
    Désactive XIM

--reverse
    Inverse via un effet mirroir tout l'agencement des composants

VOIR AUSSI

http://developer.kde.org
    Site web des Développeurs de KDE

BOGUES

Merci d'utiliser bugs.kde.org[1] pour signaler un bogue, n'envoyez pas directement d'email aux auteurs.

AUTEURS

Cornelius Schumacher <schumacher@kde.org>
    Auteur.

Waldo Bastian <bastian@kde.org>
    Auteur.

Zack Rusin <zack@kde.org>
    Auteur.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org